CPAN::Meta::Check(3)

NAME
CPAN::Meta::Check - Verify requirements in a CPAN::Meta object

VERSION
version 0.012

SYNOPSIS
 warn "$_\n" for verify_dependencies($meta, [qw/runtime build test/], 'requires');

DESCRIPTION
This module verifies if requirements described in a CPAN::Meta object are present.

FUNCTIONS

  check_requirements($reqs, $type, $incdirs)
This function checks if all dependencies in $reqs (a CPAN::Meta::Requirements object) are met, taking into account that 'conflicts' dependencies have to be checked in reverse. It returns a hash with the modules as keys and any problems as values; the value for a successfully found module will be undef. Modules are searched for in @$incdirs, defaulting to @INC.

  verify_dependencies($meta, $phases, $types, $incdirs)
Check all requirements in $meta for phases $phases and type $type. Modules are searched for in @$incdirs, defaulting to @INC. $meta should be a CPAN::Meta::Prereqs or CPAN::Meta object.

  requirements_for($meta, $phases, $types)
This function is deprecated and may be removed at some point in the future, please use CPAN::Meta::Prereqs->merged_requirements instead.

This function returns a unified CPAN::Meta::Requirements object for all $type requirements for $phases. $phases may be either one (scalar) value or an arrayref of valid values as defined by the CPAN::Meta spec. $type must be a relationship as defined by the same spec. $meta should be a CPAN::Meta::Prereqs or CPAN::Meta object.

SEE ALSO

•   Test::CheckDeps

•   CPAN::Meta

AUTHOR
Leon Timmermans <leont@cpan.org>

COPYRIGHT AND LICENSE
This software is copyright (c) 2012 by Leon Timmermans.

This is free software; you can redistribute it and/or modify it under the same terms as the Perl 5 programming language system itself.